/*
	MiniTERM library  mtalib.h
	Copyright 1991-1995 Ogasawara Hiroyuki (COR.)
*/
#ifndef	__MTa_LIB__
# define __MTa_LIB__
# ifndef __MTm_WLIB_
#  include	"mtmlib.h"
# endif

volatile extern void	MTaExit();
extern int	MTaEventExec( WindowID, EventInfo * );
extern int	MTaGetc();
extern void	MTaInterval( int );
extern int	MTaKeyInterval( int );
extern void	*MTaSignal( int, void* );

extern int	MTaKeyParam;
extern int	MTaShiftStat;

#ifndef __MTa_NO_PROTO
extern void	MTaGets( char*, int );
#endif

#define		MTa_SIGCLOSE	0
#define		MTa_SIGUSER	1
#define		MTa_SIGMOUSE	2

/* Global vars */

extern InputClass	MTaInput;
extern char		MTaWindowTitle[];
extern char		MTaIconTitle[];
extern int		MTaWindowPosX;
extern int		MTaWindowPosY;
extern int		MTaFont;
extern int		MTaAttr;
extern int		WindowHeapSize;
extern int		WindowStackSize;
extern int		MTaSizeX;
extern int		MTaSizeY;
extern int		MTaIntervalWait;
extern int		MTaFlag;
extern int		MTaScrollStep;
extern int		(*MTaSignalExec[])();

#endif
